{% extends "core/logged.html" %}

{% block aside %}
{% include 'core/aside_menu.html' %}
{% endblock aside %}

{% block content %}
	<div class="content-wrapper">

		<section class="content-header">
	      <h1>
	        Cases
	      </h1>
	      <ol class="breadcrumb">
	        <li><a href="{% url 'admin:index' %}"><i class="fa fa-home"></i>Home</a></li>
	        <li class="active"><a href="#">Cases</a></li>
	      </ol>
	    </section>
		
		<section class="content">
			<div class="box">
            <div class="box-header">
              <h3 class="box-title">Cases Cadastrados</h3>
              <div class="box-tools">
                <div class="input-group input-group-sm">
                	<a class="btn btn-primary text-uppercase" href="{% url 'admin:novo_case' %}">Novo Case</a>
                </div>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
              <table class="table table-hover">
                <tbody>
                	<tr>
	                 	<th>#</th>
	                  	<th>Titulo</th>
	                  	<th>Empresa Junior</th>
	                  	<th>Texto Pequeno</th>
	                  	<th>Criado Por</th>
	                  	<th>Ações</th>
	                </tr>
                {% for case in cases %}
	                <tr>
	                	<td>{{ case.id }}</td>
	                  	<td>{% if case.titulo %}{{case.titulo}}{%else%}--{%endif%}</td>
	                  	<td>{% if case.empresa_junior.nome%}{{case.empresa_junior.nome}}{%else%}--{%endif%}</td>
	                  	<td>{% if case.texto_pequeno %}{{case.texto_pequeno}}{%else%}--{%endif%} </td>
	                  	<td>{% if case.criado_por.username %}{{case.criado_por.username}}{%else%}--{%endif%} </td>
	                  	<td>
	                  		{% if case.apresentar == True %}
	                  			<a href="{% url 'admin:mostrar-case' pk=case.id %}" class="btn btn-success btn-sm"><i class="fa fa-eye"></i></a>
	                  		{% else %}
	                  			<a href="{% url 'admin:mostrar-case' pk=case.id %}" class="btn btn-default btn-sm"><i class="fa fa-eye-slash"></i></a>
	                  		{% endif %}
	                  		<a href="{% url 'admin:case-update' pk=case.id %}" class="btn btn-default btn-sm"><i class="fa fa-edit"></i></a>
	                  		<a href="{% url 'admin:case-delete' pk=case.id %}" class="btn btn-danger btn-sm" onclick="return confirm('Deseja realmente apagar esse registro?')"><i class="fa fa-trash"></i></a>
	                  	</td>
	                </tr>
                {% endfor %}
              	</tbody>
              </table>
            </div>
            <!-- /.box-body -->
          </div>
		</section>
		
    </div>
{% endblock content %}